gpoop

macrumors regular
Original poster
Sep 8, 2017
225
173
I plan on upgrading to the the 11 pro from an X and was wondering if I need the lastest vierson of Itunes in order to sync all my stuff on the new phone? I'm asking cause I haven't been able to update my Itunes for a year or two cause I keep getting an error. Will this be a problem for me?
 

lgjay

macrumors member
Nov 12, 2019
38
19
If you try to sync newer iPhones with older versions of iTunes, there will be a dialogue popping up letting you update iTunes. But the updating process is different though from how you would normally update your iTunes through App Store on a Mac.
 
Comment

now i see it

macrumors 604
Jan 2, 2002
6,588
13,551
Eventually old versions of iTunes won't work with newer iPhones and eventually older macs can't run the newer versions of MacOS that can run the version of iTunes that will work on a new iPhone.

Eventually... You've got to buy a new Mac computer if you want to back up or sync to the newest iPhone AND the latest version of iOS.

It's a treadmill. Eventually you've got to replace everything.
 
Comment

Minorite

macrumors 6502a
May 8, 2018
521
121
Poland
Everything starting from Win 7 should support latest iTunes. Reinstall it according to this guide (if it's not from Win store, just uninstall it in a regular way).
 
Comment

gpoop

macrumors regular
Original poster
Sep 8, 2017
225
173
Everything starting from Win 7 should support latest iTunes. Reinstall it according to this guide (if it's not from Win store, just uninstall it in a regular way).

Every time I try to update I get this message. I don't know much about computers but my friend build the computer for me and he downloaded Itunes at his home then transferred everything over. Then I took the computer home and had this issue ever since. Is it possible I'm getting this error cause he did it from his internet and not mine?
49233759762_04a695a141_b.jpg
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.